Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 19-01-2022 22:45:29

Toulibre
Membre
Lieu : Chéniers, Creuse
Distrib. : Debian 11
Noyau : Linux 5.10.0-12-amd64
(G)UI : xfce-thunar
Inscription : 10-08-2020
Site Web

[Résolu]deb.conf ?

Bonjour à toutes et à tous,

   Je fais face à un problème de ce genre pour la 1ère fois. Dois-je réinstaller le système entier ?
Je ne peux ni installer ni désinstaller ...

debconf: Impossible d'initialiser l'interface : Gnome
debconf: (Can't locate Gtk3.pm in @INC (you may need to install the Gtk3 module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.28.1 /usr/local/share/perl/5.28.1 /usr/lib/x86_64-linux-gnu/perl5/5.28 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.28 /usr/share/perl/5.28 /usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base) at /usr/share/perl5/Debconf/FrontEnd/Gnome.pm line 151, <> line 1.)
debconf: Utilisation de l'
interface Dialog en remplacement
debconf: Impossible d'initialiser l'interface : Dialog
debconf: (La variable TERM n'a pas de valeur, l'interface dialog est donc inutilisable.)
debconf: Utilisation de l'interface Readline en remplacement
dpkg: error: le format de la base de données d'
informations (2) est incorrect ou trop récent ; vous devriez essayer d'utiliser une version plus récente de dpkg
E: Sub-process /usr/bin/dpkg returned an error code (2)
Échec de l'
installation d'un paquet. Tentative de récupération :
dpkg: error: le format de la base de données d'
informations (2) est incorrect ou trop récent ; vous devriez essayer d'utiliser une version plus récente de dpkg




J'ai tenté sans succès

sudo dpkg --configure -a



Si ça vous parle et que vous avez trouvé comment rétablir la situation, merci d'avance !

Dernière modification par Toulibre (20-01-2022 11:36:05)

Hors ligne

#2 20-01-2022 11:38:55

Toulibre
Membre
Lieu : Chéniers, Creuse
Distrib. : Debian 11
Noyau : Linux 5.10.0-12-amd64
(G)UI : xfce-thunar
Inscription : 10-08-2020
Site Web

Re : [Résolu]deb.conf ?

La réinstallation du système a résolu le problème (forcément...)

Hors ligne

#3 20-01-2022 11:54:41

ubub
Membre
Distrib. : Debian
(G)UI : xfce
Inscription : 14-05-2019

Re : [Résolu]deb.conf ?

Bonjour toulibre,

  C'est arivé quand ? cet écran ? À l'allumage ? après t'être connecté ?
Après une mise à jour ? alors que tu essayais d'installer Gnome ?
debconf, si j'ai bien pigé est une interface pour "dialoguer" avec l'utilisateur et régler les usages.. traduc de debian wiki:

Plus précisément, lors de l'installation (ou de la mise à jour) d'un seul paquet ou d'un groupe de paquets, debconf pose les questions de configuration des paquets en une seule fois, et stocke les préférences de l'utilisateur/administrateur dans une base de données. Plus tard, pendant l'installation des paquets, leurs scripts utilisent les préférences de configuration de la base de données pour générer des fichiers de configuration et effectuer d'autres tâches administratives (par exemple, configurer les serveurs pour qu'ils démarrent ou non, installer d'autres logiciels comme libdvdcss, etc.) ). Cela évite de devoir éditer les fichiers de configuration à la main et d'attendre l'installation de chaque paquet avant de répondre à certaines questions de configuration.


https://wiki.debian.org/debconf
Semblerait que ton Gnome est mal foutu (entre autre)..
Le message dit "pas de Gtk3" entre autre ...
et rien dans la valeur "TERM" pour ouvrir une autre fenêtre de dialogue .... Mais je sais pas ce qui devrait être la valeur pour TERM.. peut-être essayer de glaner des enseignements sur l'écran debconf nommé "dialog" ?
Bon, il semble que t'es accès au terminal...
Dans wikidebconf, ils disent qu'on peut reconfigurer debconf :

To run it, type in a console:


# dpkg-reconfigure debconf


mais je suis pas sur que ton problème soit debconf, y'a aussi Gnome et dpkg ...
Peut-être essayer de réinstaller gnome pour voir ce que ça raconte ...
voire le faire avec aptitude pour avoir plus de détails si ca coince...

Hors ligne

#4 20-01-2022 12:13:15

Toulibre
Membre
Lieu : Chéniers, Creuse
Distrib. : Debian 11
Noyau : Linux 5.10.0-12-amd64
(G)UI : xfce-thunar
Inscription : 10-08-2020
Site Web

Re : [Résolu]deb.conf ?

-
Sous XFCE suis pas censé avoir beaucoup de Gnome... j'avais testé ta commande, aussi effacé le cache d'apt et bien d'autres glanées en ligne...
Le problème est apparu au moment où j'ai commencé à préparer pour =https://docs.halium.org/en/latest/Halium.
M'enfin, j'ai tout réinstallé ce matin, heureusement que j'ai quelques scripts sur mon Nextcloud qui accélèrent la mise en oeuvre.
Merci tout de même ^^

Hors ligne

#5 20-01-2022 12:35:17

robert2a
Membre
Distrib. : Buster 10 version 10.11
Noyau : kernel buster backports
(G)UI : Mate
Inscription : 15-11-2014

Re : [Résolu]deb.conf ?

Bonjour
il te manque libgtk3-perl


apt policy libgtk3-perl
 



libgtk3-perl:
  Installé : 0.038-1
  Candidat : 0.038-1
 Table de version :
 *** 0.038-1 500
        500 https://deb.debian.org/debian bookworm/main amd64 Packages
        100 /var/lib/dpkg/status
 



idem pour le paquet "dialog"

pour readline , j'ai la version 8 (paquet libreadline8 sur bookworm )

j'ai déjà eu ce souci , il faut choisir la méthode (en général libgtk3-perl ) et avoir les paquets installés (donc "gnome" pour le choix il me semble)

donc la commande celle ci


dpkg-reconfigure debconf
 


et tu choisi "Gnome" si tu a pu installer le paquet "libgtk3-perl"

Dernière modification par robert2a (20-01-2022 12:45:16)


Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

#6 20-01-2022 12:43:45

Toulibre
Membre
Lieu : Chéniers, Creuse
Distrib. : Debian 11
Noyau : Linux 5.10.0-12-amd64
(G)UI : xfce-thunar
Inscription : 10-08-2020
Site Web

Re : [Résolu]deb.conf ?

robert2a a écrit :

Bonjour
il te manque libgtk3-perl


apt policy libgtk3-perl
 



libgtk3-perl:
  Installé : 0.038-1
  Candidat : 0.038-1
 Table de version :
 *** 0.038-1 500
        500 https://deb.debian.org/debian bookworm/main amd64 Packages
        100 /var/lib/dpkg/status
 



idem pour le paquet "dialog"



Testé également, trouvé mais jamais voulu se réinstaller, celui-ci ou les autres, tout était bloqué.
Résolu avec une nouvelle install du système.
Merci pour les réactions, dommage j'aurais dû attendre et nous aurions pu réellement faire le tour du problème. smile

Hors ligne

#7 20-01-2022 12:47:14

robert2a
Membre
Distrib. : Buster 10 version 10.11
Noyau : kernel buster backports
(G)UI : Mate
Inscription : 15-11-2014

Re : [Résolu]deb.conf ?

je me souvient plus comment je me suis sorti de ce souci , mais bon ta méthode est correcte aussi  wink

Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

Pied de page des forums